SAM3S8/SD8 Software Package: Data Fields - Variables

SAM3S8/SD8 Software Package 1.2

### - b -

- bAdditionalLength : _SBCInquiryData
- bAdditionalSenseCode : SBCRequestSenseData
- bAdditionalSenseCodeQualifier : SBCRequestSenseData
- bAdditionalSenseLength : SBCRequestSenseData
- bAllocationLength : SBCRequestSense , _SBCModeSense6
- bAlternateSetting : _USBInterfaceDescriptor
- baseAddress : NorFlashInfo , MSDLun
- bAssocTerminal : _AUDInputTerminalDescriptor , _AUDOutputTerminalDescriptor
- bBitResolution : _AUDFormatTypeOneDescriptor
- bBlockDescriptorLength : _SBCModeParameterHeader6
- bBreak : _CDCSerialState
- bBulkInPIPE : CDCDSerialPort
- bBulkOutPIPE : CDCDSerialPort
- bCBWCBLength : MSCbw
- bCBWLUN : MSCbw
- bcdADC : _AUDHeaderDescriptor
- bcdCCID : _CCIDDescriptor
- bcdCDC : _CDCHeaderDescriptor
- bcdDevice : _USBDeviceDescriptor
- bcdHID : _HIDDescriptor , _HIDDescriptor1
- bcdUSB : _USBDeviceDescriptor , _USBDeviceQualifierDescriptor
- bCharFormat : _CDCLineCoding
- bClassEnvelope : _CCIDDescriptor
- bClassGetResponse : _CCIDDescriptor
- bClockStop : _S_ccid_protocol_t0 , _S_ccid_protocol_t1
- bConfigurationValue : _USBConfigurationDescriptor
- bConfirmPIN : _S_ccid_PIN_Modification
- bControl : _SBCInquiry , _SBCRead10 , SBCReadCapacity10 , SBCRequestSense , _SBCTestUnitReady , SBCWrite10 , _SBCMediumRemoval , _SBCModeSense6
- bControlLineState : CDCDSerialPort
- bControlSize : _AUDFeatureUnitDescriptor
- bCountryCode : _HIDDescriptor , _HIDDescriptor1
- bCSWStatus : MSCsw
- bCurrInput : HIDDFunction
- bCurrOutput : HIDDFunction
- bData : HIDPhysicalInfo , HIDDReport , HIDReportNoID , HIDReport
- bDataBits : _CDCLineCoding
- bDataInterface : _CDCCallManagementDescriptor
- bDataSize : HIDLongItem
- bDelay : _AUDStreamingInterfaceDescriptor , HIDDReportHeader , HIDDReport
- bDescriptorSubType : _AUDFeatureUnitDescriptor , _AUDFormatTypeOneDescriptor
- bDescriptorSubtype : _CDCHeaderDescriptor , _CDCUnionDescriptor , _CDCCallManagementDescriptor , _CDCAbstractControlManagementDescriptor
- bDescriptorSubType : _AUDStreamingInterfaceDescriptor , _AUDDataEndpointDescriptor , _AUDHeaderDescriptor , _AUDInputTerminalDescriptor , _AUDOutputTerminalDescriptor
- bDescriptorType : _CCIDDescriptor , _AUDStreamingInterfaceDescriptor , _AUDEndpointDescriptor , _AUDDataEndpointDescriptor , _AUDHeaderDescriptor , _AUDInputTerminalDescriptor , _AUDOutputTerminalDescriptor , _AUDFeatureUnitDescriptor , _AUDFormatTypeOneDescriptor , _CDCHeaderDescriptor , _CDCUnionDescriptor , _CDCCallManagementDescriptor , _CDCAbstractControlManagementDescriptor , _HIDDescriptor , _HIDDescriptor1 , _USBGenericDescriptor , _USBDeviceDescriptor , _USBOtgDescriptor , _USBDeviceQualifierDescriptor , _USBConfigurationDescriptor , _USBInterfaceDescriptor , _USBEndpointDescriptor
- bDescriptorType0 : _HIDDescriptor1
- bDesignator : _HIDPhysicalDescriptor
- bDeviceClass : _USBDeviceDescriptor , _USBDeviceQualifierDescriptor
- bDeviceProtocol : _USBDeviceDescriptor , _USBDeviceQualifierDescriptor
- bDeviceSubClass : _USBDeviceDescriptor , _USBDeviceQualifierDescriptor
- bEndpointAddress : _AUDEndpointDescriptor , _USBEndpointDescriptor
- bEntryValidationCondition : _S_ccid_PIN_Verification , _S_ccid_PIN_Modification
- bError : _S_ccid_bulk_in_header
- BFAR : SCB_Type
- bFieldReplaceableUnitCode : SBCRequestSenseData
- bFlags : _HIDPhysicalDescriptor
- bFormatType : _AUDFormatTypeOneDescriptor
- bFraming : _CDCSerialState
- bFunctionLength : _CDCHeaderDescriptor , _CDCUnionDescriptor , _CDCCallManagementDescriptor , _CDCAbstractControlManagementDescriptor
- bGroupNumber : _SBCRead10 , SBCWrite10
- bGuardTimeT0 : _S_ccid_protocol_t0
- bGuardTimeT1 : _S_ccid_protocol_t1
- Bias : HIDPhysicalInfo
- bID : HIDDReportHeader , HIDDReport , HIDReport
- bIdleRate : HIDDReportHeader , HIDDReport
- bIFSC : _S_ccid_protocol_t1
- bInCollection : _AUDHeaderDescriptor
- bInputListSize : HIDDFunction
- bInsertionOffsetNew : _S_ccid_PIN_Modification
- bInsertionOffsetOld : _S_ccid_PIN_Modification
- bInterface : HIDDFunction
- bInterface0 : _AUDHeaderDescriptor1 , _AUDHeaderDescriptor2 , _AUDHeaderDescriptor1
- bInterface1 : _AUDHeaderDescriptor2
- bInterfaceClass : _USBInterfaceDescriptor
- bInterfaceNdx : CDCDSerialPort
- bInterfaceNumber : _USBInterfaceDescriptor
- bInterfaceProtocol : _USBInterfaceDescriptor
- bInterfaceSubClass : _USBInterfaceDescriptor
- bInterval : _AUDEndpointDescriptor , _USBEndpointDescriptor
- bIntInPIPE : CDCDSerialPort
- bLength : _CCIDDescriptor , _AUDStreamingInterfaceDescriptor , _AUDEndpointDescriptor , _AUDDataEndpointDescriptor , _AUDHeaderDescriptor , _AUDInputTerminalDescriptor , _AUDOutputTerminalDescriptor , _AUDFeatureUnitDescriptor , _AUDFormatTypeOneDescriptor , _HIDDescriptor , _HIDDescriptor1 , _HIDPhysicalDescriptor0 , _USBGenericDescriptor , _USBDeviceDescriptor , _USBOtgDescriptor , _USBDeviceQualifierDescriptor , _USBConfigurationDescriptor , _USBInterfaceDescriptor , _USBEndpointDescriptor
- bLockDelayUnits : _AUDDataEndpointDescriptor
- blockEraseCmd : At26Desc
- blockMode : SdioRwExtArg
- blockNr : SdCard
- blockSize : MciCmd , At26Desc , SdmmcCommand , PMSDIOFifo , MSDLun
- blockSizeInKBytes : NandFlashModel
- bLongItemTag : HIDLongItem
- bmaControls : _AUDFeatureUnitDescriptor3
- bMasterInterface : _CDCUnionDescriptor
- bmAttributes : _AUDEndpointDescriptor , _AUDDataEndpointDescriptor , _USBOtgDescriptor , _USBConfigurationDescriptor , _USBEndpointDescriptor
- bMaxCCIDBusySlots : _CCIDDescriptor
- bMaxPacketSize0 : _USBDeviceDescriptor , _USBDeviceQualifierDescriptor
- bMaxPower : _USBConfigurationDescriptor
- bMaxSlotIndex : _CCIDDescriptor
- bmButtons : _HIDDMouseInputReport
- bmCapabilities : _CDCCallManagementDescriptor , _CDCAbstractControlManagementDescriptor
- bmCBWFlags : MSCbw
- bMediumType : _SBCModeParameterHeader6
- bmFindexDindex : _S_ccid_protocol_t0 , _S_ccid_protocol_t1
- bmFormatString : _S_ccid_PIN_Verification
- bmFormatString4 : _S_ccid_PIN_Modification
- bmModifierKeys : _HIDDKeyboardInputReport
- bModeDataLength : _SBCModeParameterHeader6
- bmPINBlockString : _S_ccid_PIN_Modification , _S_ccid_PIN_Verification
- bmPINLengthFormat : _S_ccid_PIN_Verification
- bmPinLengthFormat : _S_ccid_PIN_Modification
- bmRequestType : USBGenericRequest
- bMRIE : _SBCInformationalExceptionsControl
- bMsgIndex : _S_ccid_PIN_Verification
- bMsgIndex1 : _S_ccid_PIN_Modification
- bMsgIndex2 : _S_ccid_PIN_Modification
- bMsgIndex3 : _S_ccid_PIN_Modification
- bmTCCKST0 : _S_ccid_protocol_t0
- bmTCCKST1 : _S_ccid_protocol_t1
- bmWaitingIntegersT1 : _S_ccid_protocol_t1
- bNadValue : _S_ccid_protocol_t1
- bNrChannels : _AUDInputTerminalDescriptor , _AUDFormatTypeOneDescriptor
- bNumber : _HIDPhysicalDescriptor0
- bNumberMessage : _S_ccid_PIN_Modification , _S_ccid_PIN_Verification
- bNumClockSupported : _CCIDDescriptor
- bNumConfigurations : _USBDeviceDescriptor , _USBDeviceQualifierDescriptor
- bNumDataRatesSupported : _CCIDDescriptor
- bNumDescriptors : _HIDDescriptor , _HIDDescriptor1
- bNumEndpoints : _USBInterfaceDescriptor
- bNumInterface : CDCDSerialPort
- bNumInterfaces : _USBConfigurationDescriptor
- bObsolete1 : _SBCInquiryData , SBCRequestSenseData , SBCReadCapacity10 , SBCWrite10 , _SBCRead10
- bObsolete2 : _SBCInquiryData
- bObsolete3 : _SBCInquiryData
- bOperationCode : _SBCTestUnitReady , _SBCMediumRemoval , SBCReadCapacity10 , _SBCRead10 , SBCRequestSense , _SBCModeSense6 , SBCCommand , _SBCInquiry , SBCWrite10
- bOutputListSize : HIDDFunction
- bOverRun : _CDCSerialState
- bPageCode : _SBCModeSense6 , _SBCInformationalExceptionsControl , _SBCReadWriteErrorRecovery , _SBCInquiry
- bPageLength : _SBCReadWriteErrorRecovery , _SBCInformationalExceptionsControl
- bParity : _CDCSerialState
- bParityType : _CDCLineCoding
- bPC : _SBCModeSense6
- bPeripheralDeviceType : _SBCInquiryData
- bPeripheralQualifier : _SBCInquiryData
- bPINSupport : _CCIDDescriptor
- bPipeIN : HIDDFunction
- bPipeOUT : HIDDFunction
- bPrefix : HIDLongItem
- bPrevent : _SBCMediumRemoval
- bProtocol : HIDDFunction
- bRdProtect : _SBCRead10
- bReadRetryCount : _SBCReadWriteErrorRecovery
- bRefresh : _AUDEndpointDescriptor
- bRequest : USBGenericRequest
- bReserved : _USBDeviceQualifierDescriptor
- bReserved1 : _SBCInquiry , _SBCRead10 , SBCWrite10 , _SBCModeSense6 , _SBCModeParameterHeader6 , _SBCReadWriteErrorRecovery , SBCRequestSenseData , SBCReadCapacity10 , SBCRequestSense , _SBCInquiryData , _SBCInformationalExceptionsControl
- bReserved2 : SBCWrite10 , _SBCMediumRemoval , _SBCRead10 , _SBCModeSense6 , _SBCInquiryData , _SBCModeParameterHeader6 , _SBCReadWriteErrorRecovery , _SBCInformationalExceptionsControl
- bReserved3 : SBCReadCapacity10 , _SBCInquiryData
- bResponseCode : SBCRequestSenseData
- bResponseDataFormat : _SBCInquiryData
- bRingSignal : _CDCSerialState
- bRxCarrier : _CDCSerialState
- bSamFreqType : _AUDFormatTypeOneDescriptor
- bSenseKey : SBCRequestSenseData
- bSenseKeySpecific : SBCRequestSenseData
- bSeq : _S_ccid_bulk_out_header , _S_ccid_bulk_in_header
- bSize : HIDShortItem
- bSlaveInterface0 : _CDCUnionDescriptor
- bSlot : _S_ccid_bulk_out_header , _S_ccid_bulk_in_header
- bSourceID : _AUDOutputTerminalDescriptor , _AUDFeatureUnitDescriptor
- bSpecific : _S_ccid_bulk_in_header
- bSpecific_0 : _S_ccid_bulk_out_header
- bStatus : _S_ccid_bulk_in_header
- bSubFrameSize : _AUDFormatTypeOneDescriptor
- bSubpageCode : _SBCModeSense6
- bSyncAddress : _AUDEndpointDescriptor
- bTag : HIDShortItem
- bTeoPrologue : _S_ccid_PIN_Modification , _S_ccid_PIN_Verification
- bTerminalID : _AUDOutputTerminalDescriptor , _AUDInputTerminalDescriptor
- bTerminalLink : _AUDStreamingInterfaceDescriptor
- bTimeOut : _S_ccid_PIN_Modification
- bTimerOut : _S_ccid_PIN_Verification
- bTPGS : _SBCInquiryData
- bTxCarrier : _CDCSerialState
- bType : HIDShortItem
- buffered : USBDTransferBuffer
- bufferLength : _USBDDmaDescriptor
- bufferSize : PMSDIOFifo
- bulkIn : _MSDConfigurationDescriptorsOTG , _MSDConfigurationDescriptors
- bulkOut : _MSDConfigurationDescriptorsOTG , _MSDConfigurationDescriptors
- bUnitID : _AUDFeatureUnitDescriptor
- bUnused1 : _SBCInquiryData
- bUnused2 : _SBCInquiryData
- bUnused3 : _SBCInquiryData
- busMode : SdCard
- busyCheck : MciCmd
- bVersion : _SBCInquiryData
- bVoltageSupport : _CCIDDescriptor
- bWaitingIntegerT0 : _S_ccid_protocol_t0
- bWriteRetryCount : _SBCReadWriteErrorRecovery
- bWrProtect : SBCWrite10
- bX : _HIDDMouseInputReport
- bY : _HIDDMouseInputReport

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines